* [gentoo-commits] proj/sci:master commit in: sci-biology/vcflib/
@ 2016-08-26 8:45 Martin Mokrejs
0 siblings, 0 replies; 5+ messages in thread
From: Martin Mokrejs @ 2016-08-26 8:45 UTC (permalink / raw
To: gentoo-commits
commit: a58f8020918ebfc342dd2c596e4c25441bd665db
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Fri Aug 26 08:40:58 2016 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Fri Aug 26 08:40:58 2016 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=a58f8020
sci-biology/vcflib: new package, works though is not ideal
Package-Manager: portage-2.3.0
sci-biology/vcflib/metadata.xml | 12 ++++++++++
sci-biology/vcflib/vcflib-9999.ebuild | 43 +++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/sci-biology/vcflib/metadata.xml b/sci-biology/vcflib/metadata.xml
new file mode 100644
index 0000000..f68a1b6
--- /dev/null
+++ b/sci-biology/vcflib/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-biology@gentoo.org</email>
+ <name>Gentoo Biology Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/vcflib/vcflib-9999.ebuild b/sci-biology/vcflib/vcflib-9999.ebuild
new file mode 100644
index 0000000..5a03fe4
--- /dev/null
+++ b/sci-biology/vcflib/vcflib-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit git-r3 toolchain-funcs
+
+DESCRIPTION="VCF/BED utils, Genotype Phenotype Association Toolkit (GPAT++)"
+HOMEPAGE="https://github.com/vcflib/vcflib"
+EGIT_REPO_URI="https://github.com/vcflib/vcflib.git"
+
+# vcflib is incorporated into several projects, such as freebayes
+
+LICENSE="MIT-with-advertising"
+SLOT="0"
+KEYWORDS=""
+IUSE="mpi"
+
+DEPEND="mpi? ( sys-cluster/openmpi )"
+RDEPEND="${DEPEND}"
+# contains bundled sci-biology/htslib ?
+# see also ./include for possible traces of other bundled sw
+
+src_prepare(){
+ default
+ sed -e "s/^CXX = g++/CXX = $(tc-getCXX)/" -i Makefile || die
+ sed -e "s/^CXXFLAGS = -O3/CXXFLAGS = ${CXXFLAGS}/" -i Makefile || die
+}
+
+src_compile(){
+ if use mpi ; then
+ emake openmp
+ else
+ emake
+ fi
+}
+
+src_install(){
+ dobin bin/*
+ dolib lib/* # install libvcflib.a
+ dodoc README.md
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-biology/vcflib/
@ 2017-01-10 1:05 Martin Mokrejs
0 siblings, 0 replies; 5+ messages in thread
From: Martin Mokrejs @ 2017-01-10 1:05 UTC (permalink / raw
To: gentoo-commits
commit: 49c918e8544ecb0141046aef3b71795b46dd1fcd
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Tue Jan 10 01:05:02 2017 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Tue Jan 10 01:05:02 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=49c918e8
sci-biology/vcflib: disctinguish various openmp commandline switches
Package-Manager: Portage-2.3.3, Repoman-2.3.1
sci-biology/vcflib/vcflib-9999.ebuild | 19 +++++++++++++++----
1 file changed, 15 insertions(+), 4 deletions(-)
diff --git a/sci-biology/vcflib/vcflib-9999.ebuild b/sci-biology/vcflib/vcflib-9999.ebuild
index 5a03fe4..d66d935 100644
--- a/sci-biology/vcflib/vcflib-9999.ebuild
+++ b/sci-biology/vcflib/vcflib-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -15,9 +15,9 @@ EGIT_REPO_URI="https://github.com/vcflib/vcflib.git"
LICENSE="MIT-with-advertising"
SLOT="0"
KEYWORDS=""
-IUSE="mpi"
+IUSE="openmp"
-DEPEND="mpi? ( sys-cluster/openmpi )"
+DEPEND=""
RDEPEND="${DEPEND}"
# contains bundled sci-biology/htslib ?
# see also ./include for possible traces of other bundled sw
@@ -26,10 +26,21 @@ src_prepare(){
default
sed -e "s/^CXX = g++/CXX = $(tc-getCXX)/" -i Makefile || die
sed -e "s/^CXXFLAGS = -O3/CXXFLAGS = ${CXXFLAGS}/" -i Makefile || die
+ # openmp detection stolen from velvet-1.2.10.ebuild
+ if use openmp; then
+ if [[ $(tc-getCXX) =~ g++ ]]; then
+ local eopenmp=-fopenmp
+ elif [[ $(tc-getCXX) =~ cxx ]]; then
+ local eopenmp=-openmp
+ sed -e "s/-fopenmp/${eopenmp}/" -i Makefile || die
+ else
+ elog "Cannot detect compiler type so not setting openmp support"
+ fi
+ fi
}
src_compile(){
- if use mpi ; then
+ if use openmp ; then
emake openmp
else
emake
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-biology/vcflib/
@ 2021-03-06 16:01 Andrew Ammerlaan
0 siblings, 0 replies; 5+ messages in thread
From: Andrew Ammerlaan @ 2021-03-06 16:01 UTC (permalink / raw
To: gentoo-commits
commit: 895437263b1776a28bc8cac3b2cc03b08759f028
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Mar 6 16:00:49 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Mar 6 16:00:49 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=89543726
sci-biology/vcflib: EAPI bump, version bump
still missing dep tabixpp so no keywords yet
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
.../{vcflib-9999.ebuild => vcflib-1.0.2.ebuild} | 39 ++++++++++++----------
1 file changed, 22 insertions(+), 17 deletions(-)
diff --git a/sci-biology/vcflib/vcflib-9999.ebuild b/sci-biology/vcflib/vcflib-1.0.2.ebuild
similarity index 69%
rename from sci-biology/vcflib/vcflib-9999.ebuild
rename to sci-biology/vcflib/vcflib-1.0.2.ebuild
index 91a14eca3..e8da0c6ab 100644
--- a/sci-biology/vcflib/vcflib-9999.ebuild
+++ b/sci-biology/vcflib/vcflib-1.0.2.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit git-r3 toolchain-funcs
+inherit cmake toolchain-funcs
DESCRIPTION="VCF/BED utils, Genotype Phenotype Association Toolkit (GPAT++)"
HOMEPAGE="https://github.com/vcflib/vcflib"
-EGIT_REPO_URI="https://github.com/vcflib/vcflib.git"
+SRC_URI="https://github.com/vcflib/vcflib/releases/download/v${PV}/${P}-src.tar.gz"
# vcflib is incorporated into several projects, such as freebayes
@@ -16,13 +16,18 @@ SLOT="0"
KEYWORDS=""
IUSE="openmp"
-DEPEND=""
+DEPEND="
+ sys-libs/zlib
+ sci-libs/htslib
+"
RDEPEND="${DEPEND}"
# contains bundled sci-biology/htslib ?
# see also ./include for possible traces of other bundled sw
+S="${WORKDIR}/${PN}"
+
src_prepare(){
- default
+ cmake_src_prepare
sed -e "s/^CXX = g++/CXX = $(tc-getCXX)/" -i Makefile || die
sed -e "s/^CXXFLAGS = -O3/CXXFLAGS = ${CXXFLAGS}/" -i Makefile || die
# openmp detection stolen from velvet-1.2.10.ebuild
@@ -39,15 +44,15 @@ src_prepare(){
}
src_compile(){
- if use openmp ; then
- emake openmp
- else
- emake
- fi
-}
-
-src_install(){
- dobin bin/*
- dolib lib/* # install libvcflib.a
- dodoc README.md
+ mycmakeargs=(
+ -DOPENMP="$(use_enable openmp)"
+ -DHTSLIB_LOCAL=NO
+ )
+ cmake_src_compile
}
+#
+# src_install(){
+# dobin bin/*
+# dolib lib/* # install libvcflib.a
+# dodoc README.md
+# }
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-biology/vcflib/
@ 2021-03-06 16:37 Andrew Ammerlaan
0 siblings, 0 replies; 5+ messages in thread
From: Andrew Ammerlaan @ 2021-03-06 16:37 UTC (permalink / raw
To: gentoo-commits
commit: 385293f8e7eff18d6ade27a11af360f13803ad38
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Mar 6 16:37:40 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Mar 6 16:37:40 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=385293f8
sci-biology/vcflib: add missing dep
it still does not compile, can't get tabixpp to install
a library for some reason
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
sci-biology/vcflib/vcflib-1.0.2.ebuild | 1 +
1 file changed, 1 insertion(+)
diff --git a/sci-biology/vcflib/vcflib-1.0.2.ebuild b/sci-biology/vcflib/vcflib-1.0.2.ebuild
index e8da0c6ab..272e69483 100644
--- a/sci-biology/vcflib/vcflib-1.0.2.ebuild
+++ b/sci-biology/vcflib/vcflib-1.0.2.ebuild
@@ -19,6 +19,7 @@ IUSE="openmp"
DEPEND="
sys-libs/zlib
sci-libs/htslib
+ sci-biology/tabixpp
"
RDEPEND="${DEPEND}"
# contains bundled sci-biology/htslib ?
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-biology/vcflib/
@ 2022-01-25 10:20 Andrew Ammerlaan
0 siblings, 0 replies; 5+ messages in thread
From: Andrew Ammerlaan @ 2022-01-25 10:20 UTC (permalink / raw
To: gentoo-commits
commit: c3873aa86ae47e19e52565bef9f69979f97b5a8e
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 25 09:24:43 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Jan 25 09:24:43 2022 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=c3873aa8
sci-biology/vcflib: bump to 1.0.3
Need a proper release tarball (including the submodules) before
we can add keywords here
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
.../vcflib/{vcflib-1.0.2.ebuild => vcflib-1.0.3.ebuild} | 15 +++++----------
1 file changed, 5 insertions(+), 10 deletions(-)
diff --git a/sci-biology/vcflib/vcflib-1.0.2.ebuild b/sci-biology/vcflib/vcflib-1.0.3.ebuild
similarity index 75%
rename from sci-biology/vcflib/vcflib-1.0.2.ebuild
rename to sci-biology/vcflib/vcflib-1.0.3.ebuild
index 272e69483..d4cf1e02f 100644
--- a/sci-biology/vcflib/vcflib-1.0.2.ebuild
+++ b/sci-biology/vcflib/vcflib-1.0.3.ebuild
@@ -1,18 +1,17 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake toolchain-funcs
DESCRIPTION="VCF/BED utils, Genotype Phenotype Association Toolkit (GPAT++)"
HOMEPAGE="https://github.com/vcflib/vcflib"
-SRC_URI="https://github.com/vcflib/vcflib/releases/download/v${PV}/${P}-src.tar.gz"
-
-# vcflib is incorporated into several projects, such as freebayes
+SRC_URI="https://github.com/vcflib/vcflib/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT-with-advertising"
SLOT="0"
+# No proper release tarball for this release yet
KEYWORDS=""
IUSE="openmp"
@@ -22,10 +21,6 @@ DEPEND="
sci-biology/tabixpp
"
RDEPEND="${DEPEND}"
-# contains bundled sci-biology/htslib ?
-# see also ./include for possible traces of other bundled sw
-
-S="${WORKDIR}/${PN}"
src_prepare(){
cmake_src_prepare
@@ -47,7 +42,7 @@ src_prepare(){
src_compile(){
mycmakeargs=(
-DOPENMP="$(use_enable openmp)"
- -DHTSLIB_LOCAL=NO
+ -DHTSLIB_LOCAL=ON
)
cmake_src_compile
}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2022-01-25 10:20 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-08-26 8:45 [gentoo-commits] proj/sci:master commit in: sci-biology/vcflib/ Martin Mokrejs
-- strict thread matches above, loose matches on Subject: below --
2017-01-10 1:05 Martin Mokrejs
2021-03-06 16:01 Andrew Ammerlaan
2021-03-06 16:37 Andrew Ammerlaan
2022-01-25 10:20 Andrew Ammerlaan
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox